How can I install a mod that doesn't work in my SMF version From Online Manual

Revision as of 12:14, 10 October 2011 by Emanuele (talk | contribs) (Created page with "It can happen that a mod written for a previous version of SMF can still work with the latest one, but if the author doesn't update the package to support the latest version then...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

It can happen that a mod written for a previous version of SMF can still work with the latest one, but if the author doesn't update the package to support the latest version then the package manager does not allow the installation.
For these situations in SMF 2.0 a new feature has been introduced: Version Emulation, here it is a short tutorial that explains how it works.

For SMF series 1.1.x the official mod Version Emulate Dropdown provides a similar feature.

Activate version emulation

  • Go to: Admin > Main > Packages > Browse Packages;
  • At the end of the page on the left, after the list of mods, select the link Advanced;
  • A text field will appear, write into it the version of SMF you want to "emulate" (i.e. the latest version of SMF supported by the mod you are trying to install, for example SMF 2.0 RC4);
  • Select Apply;
  • Now you are emulating another version of SMF, and you will be able to see the link Install Mod next to the mod you want to install.
    • Note: while emulation is active, it could be possible you will see at the top of the page a news stating a new version of SMF is available, disregard it;

Disable version emulation

  • Go to: Admin > Main > Packages > Browse Packages;
  • At the end of the page on the left, after the list of mods, select the link Advanced;
  • On the left, right below the label Emulate version there is the link Revert, select it in order to restore the correct version of your SMF;
  • Select Apply;


Please note that the emulated version is session specific, that means it affects only the person who is using it and if this person closes his browser and opens it again than the emulated version will be disabled. This is not an issue since the emulation is needed only while installing or uninstalling mods and not during normal SMF usage.